<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array("t" . "i" . "t" . "l" . "e" => base64_decode("dG" . "l0" . "bG" . "U="), "_6e38cb9e043a07" . "cd69a1711a6704c" . "62a" => base64_decode("cGFy" . "ZW50" . "X2lk"), "_b2f5a100451164396" . "178c16d2a5c6899" => base64_decode("cHJl" . "dl90" . "aXRs" . "ZQ=="), "_a5e22fe41a6e" . "4288b56df78f2" . "f278f8f" => base64_decode("cHJldl9wYXJlbn" . "RfaWQ="));
use Claromentis\Core\Event\GenericEvent;


class UpdateFolderEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function GetPrevTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_b2f5a100" . "451164396" . "178c16d2a" . "5c6899"]);
    }
    public function GetTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["tit" . "le"]);
    }
    public function GetPrevParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_a5e22fe41a6e4288b56df78f2f2" . "78f8f"]);
    }
    public function GetParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_6e38cb9e043a0" . "7cd69a1711a670" . "4c62a"]);
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}